Documentation

Migration Notes

Migrate to 9.3

  • Minimum Android SDK Version was raised to Android 5.1 (API level 22)
    • Update minSdkVersion to 22 in build.gradle or the manifest of your app.

Migrate from 8.9.1 to 8.10

  • Minimum Android SDK Version was raised to Android 5.0 (API level 21)
    • Update minSdkVersion to 21 in build.gradle or the manifest of your app.

Migrate from 8.1 to 8.2

  • JS API:
    • AR.ImageTrackable
      • onDragBegan, onDragChanged, onDragEnded now receive ray-plane-intersection coordinates as two additional input float parameters - these parameters allow the drag gesture to be rotationally invariant and provide absolute positions for it
    • AR.ObjectTrackable
      • onDragBegan, onDragChanged, onDragEnded now receive ray-plane-intersection coordinates as two additional input float parameters - these parameters allow the drag gesture to be rotationally invariant and provide absolute positions for it

Migrate from 7.2 to 8.0

  • ARCore support:
    • ARCore nuget package has to be added as dependency of the app
    • <meta-data android:name="com.google.ar.core" android:value="optional"/> or <meta-data android:name="com.google.ar.core" android:value="required"/> have to be added to the manifest.
    • minimum ARCore version 1.1.

Migrate from 5.3.1-2.1.1 to 6.0.0-2.2.0

No public changes